package com.fjs.scenic.utils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

/**
 * This class is used for ...
 * 常量
 *
 * @author lfj
 * @version 1.0
 * @CreateDate ${date} ${time}
 */
public class Cons {
    public static final Integer RESULT_FAIL = 100;
    public static final Integer RESULT_OK = 200;
    public static final Integer RESULT_ERR = 500;

    /**
     * session的描述
     */
    public static final String SESSION_INFO = "wsessionInfo";

    /**
     * 管理账号状态
     */
    public interface MANAGE_STATUS {
        /**
         * 正常使用中
         */
        public static final String NORMAL = "1";

        /**
         * 无效账号
         */
        public static final String INVALID = "0";
    }

    /**
     * 普通用户账号状态
     */
    public interface USER_STATUS {
        /**
         * 正常使用中
         */
        public static final String NORMAL = "1";

        /**
         * 冻结
         */
        public static final String FROZEN = "2";
    }

    /**
     * 景区级别
     */
    public interface SCENIC_GRADE {
        /**
         * 3A景区
         */
        public static final Byte LEVEL3 = 3;
        /**
         * 4A景区
         */
        public static final Byte LEVEL4 = 4;
        /**
         * 5A景区
         */
        public static final Byte LEVEL5 = 5;

    }

    /**
     * token名称
     */
    public interface TOKEN {
        /**
         * 平台端
         */
        public static final String MANAGER = "Manager-Authorization";
        /**
         * 微信端
         */
        public static final String WECHAT = "Wechat-Authorization";
    }

    /**
     * 订单状态
     */
    public interface ORDER_STATUS {
        /**
         * 取消
         */
        public static final String CANCEL = "0";
        /**
         * 待付款
         */
        public static final String PAID = "1";
        /**
         * 已付款
         */
        public static final String USED = "2";
        /**
         * 已出票
         */
        public static final String TICKET = "3";
        /**
         * 已核销
         */
        public static final String DONE = "4";
        /**
         * 已开票
         */
        public static final String BILL = "5";
        /**
         * 退款中
         */
        public static final String REFUNDEDING = "6";
        /**
         * 已退款
         */
        public static final String REFUND = "7";
        /**
         * 已过期
         */
        public static final String OVERDUE = "8";
        /**
         * 退款失败，已失效
         */
        public static final String REFUND_ERROR = "9";
    }

    /**
     * 异常订单状态
     */
    public interface ERROR_ORDER_TYPE {
        /**
         * 出票失败
         */
        public static final String OUT_TICKET = "2";
        /**
         * 退款失败
         */
        public static final String RETURN_TICKET = "1";
        /**
         * 支付异常(付款成功，修改订单状态为已支付失败)
         */
        public static final String PAY_ERROR = "3";
    }

    /**
     * 梵净山决策系统权限
     */
    public interface DECISION_PERMISSIONS {
        /**
         * 总统计
         */
        public static final String COUNT = "count";
        /**
         * 索道统计
         */
        public static final String CABLEWAY = "cableway";
        /**
         * 门票统计
         */
        public static final String TICKET = "ticket";
        /**
         * 景车统计
         */
        public static final String CAR = "car";
        /**
         * 景区实况
         */
        public static final String SLIVE = "slive";
        /**
         * 东线门票统计
         */
        public static final String EASTTICKET = "eastticket";
        /**
         * 西线门票统计
         */
        public static final String WESTTICKET = "westticket";
        /**
         * 东线景区实况
         */
        public static final String EASTSLIVE = "eastslive";
        /**
         * 西线景区实况
         */
        public static final String WESTSLIVE = "westslive";
    }

    /**
     * 梵净山门票暂停、恢复售票
     */
    public interface SaleTicket_Type {
        /**
         * 暂停售票
         */
        public static final int Stop = 0;
        /**
         * 恢复售票
         */
        public static final int Recover = 1;
    }


    /**
     * 日志类型
     */
    public interface LOGS_TYPE {
        /**
         * 系统一般日志
         */
        public static final Byte GENERAL = 1;
        /**
         * 异常日志
         */
        public static final Byte ERROR = 2;
    }

    /**
     * 公司列表 必须跟前端必须一一对应
     */
    public static final List<String> COMPANYS = new ArrayList<>(Arrays.asList("巴拉胡景区管理公司", "芭拉胡公司", "爱莉丝公司", "阿蓬江旅行社公司"));

    /**
     * 景区列表 必须跟前端必须一一对应
     */
    public static final List<String> SCENICS = new ArrayList<>(Arrays.asList("大峡谷景区", "水车坪景区", "濯水景区", "小南海", "十三寨",
            "神龟峡景区", "官村", "爱莉丝", "阿蓬江旅行社公司"));


    /**
     * 后台管理员 景区资料录入权限信息
     */
    public interface TYPE_AUTHORITY {
        /**
         * 可读可写
         */
        public static final Byte ALL = 0;
        /**
         * 只读
         */
        public static final Byte READ = 1;
    }
}
