package com.fjs.scenic.service.good;

import com.fjs.scenic.entity.good.Goods;
import com.fjs.scenic.service.common.BaseService;
import com.fjs.scenic.utils.ReturnResult;

import java.util.Date;

/**
 * 管理员
 *
 * @author lfj
 * @version 1.0
 * @CreateDate ${date} ${time}
 */
public interface GoodsService extends BaseService<Goods> {
	
	/**
     * 商品下单价格
     *
     * @param goodsId
     * @return
     */
	public ReturnResult goodsOrderPrice(Integer goodsId);
	
	/**
	 * 根据价格规则id查询时间段列表
	 * @param priceRuleId
	 * @return
	 */
	public ReturnResult goodsDateList(Integer priceRuleId);
	
	/**
	 * 根据价格规则id查询畅游通时间段列表
	 * @param priceRuleId
	 * @return
	 */
	public ReturnResult getGoodsStock(Integer priceRuleId);

	/**
	 * 暂停或恢复售票
	 * @param startDate
	 * @param endDate
	 * @param saleTicketType 1恢复售票0暂停售票
	 * @return
	 */
	int saleOrRecoverSaleTicket(Date startDate, Date endDate, int saleTicketType);
}
